@echo off
for %%a in (h H) do if %1.==%%a. goto help
for %%a in (h H) do if %1.==/%%a. goto help
if %nwclient%.==. goto clienterror
set SVPRM=%Prompt%
for %%a in (ns Ns NS nS) do if %1.==%%a. set noscript=1
for %%a in (ns Ns NS nS) do if %2.==%%a. set noscript=1
for %%a in (ns Ns NS nS) do if %3.==%%a. set noscript=1
for %%a in (ns Ns NS nS) do if %4.==%%a. set noscript=1
for %%a in (ns Ns NS nS) do if %1.==/%%a. set noscript=1
for %%a in (ns Ns NS nS) do if %2.==/%%a. set noscript=1
for %%a in (ns Ns NS nS) do if %3.==/%%a. set noscript=1
for %%a in (ns Ns NS nS) do if %4.==/%%a. set noscript=1
doskey login=login.bat $*
doskey logout=logout.bat $*
set login=
for %%a in (K L M N O P Q R S T U V W X Y Z) do if exist %%a:login.exe %%a:
if not exist login.exe goto error
call chmode 25
login.exe %1 %2 %3 %4 %5 %6 %7 %8 %9
if errorlevel 1 goto loginerror
if errorlevel 0 set login=OK
goto end

:clienterror
echo.
echo	Netzwerksoftware nicht geladen!?
echo.
goto end

:error
echo.
echo	Datei LOGIN.EXE nicht gefunden!
echo.
goto end

:help
echo.
echo    Syntax: LOGIN [server/][username] [switch]
echo.
echo            h       Display this screen.
echo            ns      no script
echo.
goto end

:loginerror
echo.
echo	Fehler beim Einloggen!
echo.
goto end

:end
